<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/diag/openthread-diag.cpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d5/dce/openthread-diag_8cpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">openthread-diag.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file implements the top-level interface to diagnostics module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../de/d49/openthread-diag_8h_source.html">openthread-diag.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d3/d1b/diag__process_8hpp_source.html">diag_process.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for openthread-diag.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/dce/openthread-diag_8cpp__incl.png" border="0" usemap="#src_2diag_2openthread-diag_8cpp" alt=""/></div>
<map name="src_2diag_2openthread-diag_8cpp" id="src_2diag_2openthread-diag_8cpp">
<area shape="rect" id="node5" href="../../de/d49/openthread-diag_8h.html" title="This file defines the top&#45;level functions for the OpenThread diagnostics library. ..." alt="" coords="167,165,296,191"/>
<area shape="rect" id="node10" href="../../d3/d1b/diag__process_8hpp.html" title="This file contains definitions for the diagnostics module. " alt="" coords="411,92,538,117"/>
<area shape="rect" id="node6" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="438,239,574,264"/>
<area shape="rect" id="node7" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="614,312,678,337"/>
<area shape="rect" id="node8" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="485,312,560,337"/>
<area shape="rect" id="node9" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="323,312,460,337"/>
<area shape="rect" id="node12" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="465,165,579,191"/>
<area shape="rect" id="node13" href="../../d2/d2d/alarm_8h.html" title="This file includes the platform abstraction for the alarm service. " alt="" coords="603,165,721,191"/>
<area shape="rect" id="node14" href="../../d2/dd2/diag_8h.html" title="This file defines the platform diag interface. " alt="" coords="745,165,854,191"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa2e8efe658adcd1b93667d597985a930"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2e8efe658adcd1b93667d597985a930"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Diagnostics::diagInit</b> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="separator:aa2e8efe658adcd1b93667d597985a930"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac792981df97b1d1731c053a1ed213be2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac792981df97b1d1731c053a1ed213be2"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Diagnostics::diagProcessCmd</b> (int argc, char *argv[])</td></tr>
<tr class="separator:ac792981df97b1d1731c053a1ed213be2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcbb765b8b6a19f24b193f416b4b6d5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcbb765b8b6a19f24b193f416b4b6d5c"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Diagnostics::diagProcessCmdLine</b> (char *string)</td></tr>
<tr class="separator:afcbb765b8b6a19f24b193f416b4b6d5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa263ed1e4c566e752d868d0e4256f738"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa263ed1e4c566e752d868d0e4256f738"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Diagnostics::isDiagEnabled</b> ()</td></tr>
<tr class="separator:aa263ed1e4c566e752d868d0e4256f738"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file implements the top-level interface to diagnostics module. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_32f34a92f134379e4c6505cf5b899513.html">diag</a></li><li class="navelem"><a class="el" href="../../d5/dce/openthread-diag_8cpp.html">openthread-diag.cpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
